package com.chinaitop.depot.intelligent.grainsituation.service;

import com.chinaitop.depot.intelligent.grainsituation.model.TWarningThresholdHistory;

import java.util.List;
import java.util.Map;

public interface TWarningThresholdHistoryService {

    List<TWarningThresholdHistory> getList(String orgId,String vCfCode, Integer state, String searchStartDate, String searchEndDate, String showType);

    Map<String, List<TWarningThresholdHistory>> getCfCdoeAndTimes(List cfcodes, List times);

    /**
     * 测温记录检测概览查询
     *
     * @param vCfCode
     * @param wTime
     * @param wMode
     * @return
     */
    List<TWarningThresholdHistory> getWarningInfoList(String vCfCode, String wTime, String wMode);

    void updateById(TWarningThresholdHistory history);

    List<TWarningThresholdHistory> getAbnormalEquipmentList(String orgId, String vCfCode, String searchStartDate, String searchEndDate);
}
