package com.chinaitop.depot.intelligent.statisticalReport.service;

import java.util.List;
import java.util.Map;

/**
 * @author hf
 * @description: 统计报表
 * @create 2019-01-21
 */
public interface StatisticalReportService {
    
    /**
     * 汇总报表
     * @param map
     * @return
     */
    List<Map<String, Object>> getSummaryReportInfo(Map<String,Object> map);
    
    /**
     * 详情报表
     * @param map
     * @return
     */
    List<Map<String, Object>> getDetailsReportInfo(Map<String,Object> map);

    /**
     * 上报报表
     * @param map
     * @return
     */
    List<Map<String, Object>> getSubmitReportInfo(Map<String,Object> map);
    
}
