package com.unissoft.webservice;

import com.unissoft.model.ResponseEntity;

import javax.jws.WebParam;
import javax.jws.WebService;

@WebService
public interface BasicDataSynchroService {

    /**
     * 根据orgId推送多条库点信息
     * @param dataSource
     * @param orgId
     * @return
     */
    public ResponseEntity saveGrainPointData(@WebParam(name = "dataSource") String dataSource, @WebParam(name = "orgId") String orgId);

    /**
     * 根据orgId推送多条仓房信息
     * @param dataSource
     * @param orgId
     * @return
     */
    public ResponseEntity saveWareHouseData(@WebParam(name = "dataSource") String dataSource, @WebParam(name = "orgId") String orgId);
}
