package com.unissoft.webservice.impl;

import com.chinaitop.depot.intelligent.energyMonitor.model.TEnergyHistory;
import com.chinaitop.depot.intelligent.energyMonitor.service.EnergyDetectionService;
import com.chinaitop.depot.intelligent.pushs.service.EnergyPushsService;
import com.chinaitop.depot.intelligent.utils.JsonToObjectUtils;
import com.google.common.collect.Lists;
import com.unissoft.model.ResponseEntity;
import com.unissoft.model.TypeEnum;
import com.unissoft.webservice.EnergyService;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

@Service
public class EnergyServiceImpl implements EnergyService {

    @Resource
    private EnergyPushsService energyPushsService;

    @Override
    public ResponseEntity uploadEenergyData(String dataSource, String energyData) {
        return energyPushsService.uploadEenergyData(dataSource, energyData);
    }
}
